/**
 * Data model pour les potions à base de runes
 */
export default class PotionDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      effetCuratif: new fields.HTMLField({ initial: "" }),
      effetLetal: new fields.HTMLField({ initial: "" }),
      effetSecondaire: new fields.HTMLField({ initial: "" }),
      rune: new fields.StringField({ initial: "" }),
      runeImg: new fields.StringField({ initial: "" }),
      runeSeuil: new fields.NumberField({ initial: 0, integer: true }),
      pointsAme: new fields.NumberField({ initial: 1, integer: true, min: 1 }),
      forme: new fields.StringField({ initial: "liquide" }),
      statut: new fields.StringField({ initial: "inconnue" }),
      virulence: new fields.NumberField({ initial: 0, integer: true }),
      duree: new fields.StringField({ initial: "" }),
      conservation: new fields.StringField({ initial: "" }),
      tempsPreparation: new fields.StringField({ initial: "" }),
    };
  }
}
